#
# Sample configuration file for ISC dhcpd for Debian
#
# $Id: dhcpd.conf,v 1.4 2002/05/05 21:28:06 peloy Exp $
#

# The ddns-updates-style parameter controls whether or not the server will
# attempt to do a DNS update when a lease is confirmed. We default to the
# behavior of the version 2 packages ('none', since DHCP v2 didn't
# have support for DDNS.)

ddns-update-style interim;
update-static-leases on;
# Make DHCP work on dual boot machines (Linux & Windows2000)

# Microsoft proprietary stuff:
option space MSFT;
option MSFT.release-on-shutdown code 2 = unsigned integer 32;

# Note: The vendor option "MSFT 5.0" is also used by Windows XP
#<http://www.experts-exchange.com/Operating_Systems/Linux/Q_21484470.html#>.
class "win2k-clients" {
    match if option vendor-class-identifier = "MSFT 5.0";
    send fqdn.server-update true;
    send fqdn.no-client-update true;
    vendor-option-space MSFT;
    option MSFT.release-on-shutdown 1;
}

key dhcp-update-key. {
  algorithm hmac-md5;
  secret "YBHmkqsgsjUxqZG3PZpTRPtjzWtH1pMKqxzHuzAijPVyJFSxE==";
}

zone supaweb.local. {
     primary 127.0.0.1;
     key dhcp-update-key.;
}
zone 0.168.192.in-addr.arpa. {
     primary 127.0.0.1;
     key dhcp-update-key.;
}


# option definitions common to all supported networks...
option domain-name "supaweb.local";
option domain-name-servers 192.168.0.2;

default-lease-time 17200;
max-lease-time 36000;

# If this DHCP server is the official DHCP server for the local
# network, the authoritative directive should be uncommented.
authoritative;

# Use this to send dhcp log messages to a different log file (you also
# have to hack syslog.conf to complete the redirection).
log-facility local7;

subnet 192.168.0.0 netmask 255.255.255.0 {
  range 192.168.0.20 192.168.0.49;
  option broadcast-address 192.168.0.255;
  option routers 192.168.0.2;
  option time-servers 192.168.0.2;
  option ntp-servers 192.168.0.2;
  option nis-servers 192.168.0.2;
}

host solar_sys {
  hardware ethernet 00:0d:88:8c:9d:7b;
  fixed-address 192.168.0.50;
  option broadcast-address 192.168.0.255;
  option routers 192.168.0.2;

}


